#!/bin/bash
OLDCFG=/old/opt/iserv/idesk/inc/error-reporter/config.inc.rpmsave
NEWCFG=/usr/share/iserv/www/inc/mod_error-reporter/config.inc

if [ ! -e "$OLDCFG" ]; then
  echo "$OLDCFG does not exist."
  exit 1;
fi;

touch $NEWCFG || exit 1;
chmod u+wr $NEWCFG || exit 1;
chown www-data $NEWCFG || exit 1;

# filter unused options
cat $OLDCFG|grep -v setAdminGroups|grep -v setLog|grep -v @package > $NEWCFG

# convert admin groups to group privileges
ADMGROUPS=$(grep setAdminGroups $OLDCFG|sed -e 's/,//g' -e "s/.*array[^(]*(\([^)]*\)).*/\1/" -e "s/[\"\']/ /g")
for i in $ADMGROUPS; do
  psql -c "INSERT INTO privileges_assign (act,privilege) VALUES('$i','mod_errorreporter_admin');" > /dev/null || exit 1;
  echo "added adminship for group '$i'"
done;

rm -f $OLDCFG || (echo "Error: Please remove the old config file by hand!" && exit 1);
